rem
rem XRay Vision Version 2.0
rem Copyright ArtForms 1992, 1993
rem Author: Steven Feuerstein
rem
rem XRAY VISION Install script: run this script from the account
rem you created to hold the XRay Vision tables.
rem
rem Configuration table for XRay Vision.
rem
spool xvinst.log
DROP TABLE xv_config
/
CREATE TABLE xv_config
 (enforcer VARCHAR(1),
  opsys VARCHAR(30) NOT NULL, 
  xv_location VARCHAR(100),
  code_location VARCHAR(100),
  xv_userid VARCHAR(30), 
  editor VARCHAR(30) NOT NULL,
  set_video VARCHAR(1) NOT NULL,
  option_display VARCHAR(30),
  curr_option_display VARCHAR(30),
  banner_display VARCHAR(30),
  generate_command VARCHAR(30),
  convert_command VARCHAR(30),
  designer_command VARCHAR(30),
  file_case_std varchar(20)
 )
/
create unique index xv_config1 on xv_config(enforcer)
/
rem
rem Insert one and only row into config table.
rem Do NOT modify the value of the first column, enforcer.
rem
INSERT INTO xv_config
values ('X', '&&1', '&2', NULL, USER, 
        DECODE ('&&1', 'UNIX', 'vi', 
                       'DOS', 'edit',
                       'VMS', 'edt',
                       'OTHER', 'edit'),
        'N', 'BOLD', 'INVERSE', 'INVERSE',
        DECODE ('&&1', 'DOS', 'generate', 'generate30'),
        DECODE ('&&1', 'DOS', 'convert', 'convert30'),
        DECODE ('&&1', 'DOS', 'sqlforms', 'sqlforms30'),
        DECODE ('&&1', 'UNIX', 'LOWER', 'UPPER')
       )
/
rem
DROP TABLE xv_forms 
/
CREATE TABLE xv_forms
   (form_name VARCHAR(80), 
    form_location VARCHAR(255), 
    form_xv_fl VARCHAR(1),
    form_trigger VARCHAR(60),
    form_copy_fl VARCHAR(1),
    form_defval_fl VARCHAR(1),
    form_msg_fl VARCHAR(1),
    form_onerr_fl VARCHAR(1),
    form_onmsg_fl VARCHAR(1),
    form_procs_fl VARCHAR(1),
    form_trigs_fl VARCHAR(1))
/
CREATE UNIQUE INDEX xv_forms_u1 ON xv_forms (form_name)
/
rem 
DROP TABLE xv_globals
/
CREATE TABLE xv_globals (name VARCHAR(50) NOT NULL)
/
create unique index xv_globals_u1 on xv_globals(name)
/
INSERT INTO xv_globals values ('SYSTEM_BLOCK_STATUS');
INSERT INTO xv_globals values ('SYSTEM_CURRENT_BLOCK');
INSERT INTO xv_globals values ('SYSTEM_CURRENT_FIELD');
INSERT INTO xv_globals values ('SYSTEM_CURRENT_FORM');
INSERT INTO xv_globals values ('SYSTEM_CURRENT_VALUE');
INSERT INTO xv_globals values ('SYSTEM_CURSOR_BLOCK');
INSERT INTO xv_globals values ('SYSTEM_CURSOR_FIELD');
INSERT INTO xv_globals values ('SYSTEM_CURSOR_RECORD');
INSERT INTO xv_globals values ('SYSTEM_CURSOR_VALUE');
INSERT INTO xv_globals values ('SYSTEM_FORM_STATUS');
INSERT INTO xv_globals values ('SYSTEM_LAST_QUERY');
INSERT INTO xv_globals values ('SYSTEM_LAST_RECORD');
INSERT INTO xv_globals values ('SYSTEM_MESSAGE_LEVEL');
INSERT INTO xv_globals values ('SYSTEM_RECORD_STATUS');
INSERT INTO xv_globals values ('SYSTEM_TRIGGER_BLOCK');
INSERT INTO xv_globals values ('SYSTEM_TRIGGER_FIELD');
INSERT INTO xv_globals values ('SYSTEM_TRIGGER_RECORD');
INSERT INTO xv_globals values ('SYSTEM_CALLING_FORM');
INSERT INTO xv_globals values ('SYSTEM_ERROR');
INSERT INTO xv_globals values ('SYSTEM_ALL_BLOCKS');
rem
DROP TABLE xv_breakpoints
/
CREATE TABLE xv_breakpoints
 (bp_abbrev VARCHAR(10) NOT NULL,
  bp_type VARCHAR(1),
  bp_name VARCHAR(100) NOT NULL, 
  bp_parent VARCHAR(10),
  bp_desc VARCHAR(80), 
  bp_range VARCHAR(20)
 )
/
create unique index xv_breakpoints_u1 on xv_breakpoints(bp_name)
/
INSERT INTO xv_breakpoints
   VALUES ('POSTQ', 'O', 'POST-QUERY', NULL, 'Post-Query Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('PREQ', 'O', 'PRE-QUERY', NULL, 'Pre-Query Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('OVF', 'O', 'ON-VALIDATE-FIELD',
          NULL, 'On-Validate-Field Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('OVR', 'O', 'ON-VALIDATE-RECORD', 
          NULL, 'On-Validate-Record Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('ONFI', 'O', 'ON-NEW-FIELD-INSTANCE', 
          NULL, 'On-New-Field-Instance Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('STRTUP', 'O', 
          'KEY-STARTUP', NULL, 'Key-Startup Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('NXTBLK', 'O', 'KEY-NXTBLK', NULL, 'Key-NxtBlk Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('PRVBLK', 'O', 'KEY-PRVBLK', NULL, 'Key-PrvBlk Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('NXTFLD', 'O', 'KEY-NXTFLD', NULL, 'Key-NxtFld Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('PRVFLD', 'O', 'KEY-PRVFLD', NULL, 'Key-PrvFld Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('PREINS', 'O', 'PRE-INSERT', NULL, 'Pre-Insert Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('PREUPD', 'O', 'PRE-UPDATE', NULL, 'Pre-Update Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('PREDEL', 'O', 'PRE-DELETE', NULL, 'Pre-Delete Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('POSTIN', 'O', 
          'POST-INSERT', NULL, 'Post-Insert Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('POSTUP', 'O', 
          'POST-UPDATE', NULL, 'Post-Update Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('POSTDL', 'O', 
          'POST-DELETE', NULL, 'Post-Delete Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('COMMIT', 'O', 'KEY-COMMIT', NULL, 'Key-Commit Trigger', NULL);
INSERT INTO xv_breakpoints
   VALUES ('EXIT', 'O', 'KEY-EXIT', NULL, 'Key-Exit Trigger', NULL);
rem
spool off
exit
